Bug 62163

Summary: Tomcat Setup section of docs does not take into account new dependency on Java 8
Product: Tomcat 9 Reporter: Timothy Alper <talper>
Component: DocumentationAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal Keywords: Beginner
Priority: P2    
Version: 9.0.5   
Target Milestone: -----   
Hardware: All   
OS: All   

Description Timothy Alper 2018-03-07 21:27:39 UTC
The 'Java location' section of the 'Tomcat Setup' doc[1] still seems to suggest that Java 7 can / will be used to run Tomcat.  Of course, the 'Apache Tomcat Version 9.0.5 Release Notes'[2] very much disagree.

[1] http://tomcat.apache.org/tomcat-9.0-doc/setup.html
[2] http://tomcat.apache.org/tomcat-9.0-doc/RELEASE-NOTES.txt
Comment 1 mhkarunarathne 2018-03-21 10:34:34 UTC
I would like to fix that documentation. How can I edit "Apache Tomcat Version 9.0.5 Release Note'
Comment 2 mhkarunarathne 2018-03-21 10:36:02 UTC
I would like to fix that documentation. How can I edit "Apache Tomcat Version 9.0.5 Release Note'
Comment 3 Mark Thomas 2018-03-21 10:39:52 UTC
The release notes do not need editing. They correctly state that Java 8 is required to run Tomcat 9.x.

The file that needs fixing is setup.html and the source for that can be found here:
https://svn.apache.org/repos/asf/tomcat/trunk/webapps/docs/setup.xml
or here
https://github.com/apache/tomcat/blob/trunk/webapps/docs/setup.xml
Comment 4 Mark Thomas 2018-04-03 18:47:27 UTC
Fixed in:
- trunk for 9.0.7 onwards
Comment 5 mhkarunarathne 2018-04-16 06:44:32 UTC
I saw the patch on both svn and git. Are there having further works or not?
Comment 6 Mark Thomas 2018-04-16 06:49:27 UTC
No. As per my previous comment, this issue has been fixed.